/*
	그래픽에 관련된 몇가지 필요한 기능들을 모아둔것 
	아직 완성되지 않았음 
*/
#ifndef H_TOOLGraphics
#define H_TOOLGraphics

#include <windows.h>
#include "TOOLType.h"


// 정점이 사각형 안에 있는지 검사
bool IsPointInRect(int x, int y, int Left, int Top, int Right, int Bottom);
bool IsPointInRect(int x, int y, RECT &Rect);

// 사각형이 겹쳤는지 검사
bool IsIntersectRect(RECT &r1, RECT &r2);
// 뒤집어진 사각형을 원래로 고쳐줌
void NormalizeRect(RECT &Rect);
// 제데로 된 사각형인지 검사
bool IsNormalRect(RECT &Rect);
// 사각형을 다른 사각형에 맞춤
void FitInRect(RECT &r1, RECT &RefRect, RECT &r2);

#endif 